tomcat classpath driver problem

Discussions

Web tier: servlets, JSP, Web frameworks: tomcat classpath driver problem

  1. tomcat classpath driver problem (3 messages)

    Hi ,

    Is anyone out there using tomcat 3.3 or greater on Solaris with Ocacle8i? I'm having a problem with the driver. For tomcat 3.2.3 (and lower), you can add the drivers (which are archived in a zip file called classes12.zip) to your classpath, and tomcat will pick it up from there. However, with tomcat 3.3 and higher, the classpath is ignored . The documentation suggests that you can put additional jar's in the lib folder, but I'm dealing with a zip file. I tried unzipping and creating a jar, but that didn't work. For now, I'm just sticking with 3.2.3, but I'd like to upgrade. Any ideas on how to handle this?

    Thanks,
    Geoff

    Threaded Messages (3)

  2. tomcat classpath driver problem[ Go to top ]

    I just re-jarred the oracle classes12.zip file once so it was .jar (as a test) and it worked just fine. That'll work. I'm using tomcat/oracle/solaris as well.

    -Newt
  3. tomcat classpath driver problem[ Go to top ]

    Hi Newt,

    Did you jar the unzipped files, or did you jar the zip file itself? I did unzipped the files, which placed a file named oracle on my desktop. I jar'd it with the following commands

    jar cvf classes12.jar oracle

    and placed it in the lib folder. However, I still get an error message saying "no suitable driver". Is this what you did?

    Thanks,
    Geoff
  4. tomcat classpath driver problem[ Go to top ]

    Yeah, Tomcat 4.0 is cool. Put your driver.jar in /common/lib
    not /lib. Worked for me.

    There is a basketball player on the University of Kansas named Jeff Boshee. Do you suppose this is the Americanized version of your name? (I'm assuming you are from some commonwealth country)